Be sure to include the Content-Type header with a value of application/vnd.api+json
Updating an option value requires knowing the id of the integration option you want to update. The integration option id is a compound id constructed by joining the integration id, a dash, and then the option key.
Option ID Format
<INTEGRATION_ID>-<OPTION_KEY>
For example, if the integration id is virustotal_node_18_1725278818 and the option key is apiKey then the option id would be:
The option key can be found by querying for the integration's attributes via the GET /api/integrations/<INTEGRATION_ID> endpoint. For more information on this endpoint see:
Alternatively, you can find the option key by viewing the integration's config/config.json file and looking for the key property under the options list. As an example, here is what the VirusTotal option configuration looks like:
The key property specifies a value of apiKey which is the option key value used to construct the option id.
Integration Option Permissions
Each integration option has permissions associated with it that are set via the adminOnly and userCanEdit boolean flags. These flags correspond to the option permissions that each option have in the integration settings page via the web application.
Integration Option Permissions
The following table shows how the the two values map to the values displayed in the UI
admin-only
user-can-edit
final permission
true
false
Lock and hide option for all users
true
true
Invalid combination
false
false
Lock and show option for all users
false
true
User provides option value
As an example, if you wanted to set VirusTotal so that the provided API key is locked and hidden (i.e., "Lock and hide option for all users", you would send the following payload:
The admin-only and user-can-edit attributes are optional and do not have to be provided if you do not want to change the option's permissions from their current values.
You can update multiple options for the same integration at the same time by passing them into the data property of the payload. For example, the following payload would update the apiKey and maxAge option for the AbuseIPDB integration with an integration id of abuseipdb_3_3_4_node_18_71ff23754e_1725342515.
While you can update multiple options per API call, you can only update a single integration. If you need to update multiple options for multiple integrations you must make a PATCH request per integration.